### Function

# Gio Initable newv

deprecated: 2.54 since: 2.22

#### Declaration

    GObject*
    g_initable_newv (
      GType object_type,
      guint n_parameters,
      GParameter* parameters,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Helper function for constructing `GInitable` object. This is similar to `g_object_newv()` but also initializes the object and returns `NULL`, setting an error on failure.

Available since: 2.22

Deprecated since: 2.54

Use `g_object_new_with_properties()` and `g_initable_init()` instead. See `GParameter` for more information.

#### Parameters

`object_type`

  Type: `GType`

  A `GType` supporting `GInitable`.

`n_parameters`

  Type: `guint`

  The number of parameters in `parameters`.

`parameters`

  Type: An array of `GParameter`

  The parameters to use to construct the object.

  The length of the array is specified in the `n_parameters` argument.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GObject`

A newly allocated `GObject`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.